Subject: [Ecrit] Request to Publish draft-ietf-ecrit-held-routing-03

From: Roger Marshall <[email-masked]>
Date: Wed, 28 Oct 2015 21:43:20 +0000

The ECRIT working group would like to publish draft-ietf-ecrit-held-routing-03

The PROTO write-up is below.

Roger Marshall
ECRIT co-chair

Document Shepherd Writeup per RFC 4858 template, (dated 24 February 2012), for the following work group draft:

A Routing Request Extension for the HELD Protocol
http://datatracker.ietf.org/doc/ draft-ietf-ecrit-held-routing-03/

(1) What type of RFC is being requested (BCP, Proposed Standard,
Internet Standard, Informational, Experimental, or Historic)?  Why
is this the proper type of RFC?  Is this type of RFC indicated in the
title page header?

RFC type being requested for this draft is "Proposed Standard", since
the draft describes normative changes to the HELD protocol for use in
emergency services.  The title page lists it currently as "Standard".

(2) The IESG approval announcement includes a Document Announcement
Write-Up. Please provide such a Document Announcement Write-Up. Recent
examples can be found in the "Action" announcements for approved
documents. The approval announcement contains the following sections:

Technical Summary

  Relevant content can frequently be found in the abstract
  and/or introduction of the document. If not, this may be
  an indication that there are deficiencies in the abstract
  or introduction.

[Abstract]

   For cases where location servers have access to emergency routing
   information they are able to return routing information with the
   location information if the location request includes a request for
   the desired routing information.  This document specifies an
   extension to the HELD protocol to support this function.

Working Group Summary

  Was there anything in WG process that is worth noting? For
  example, was there controversy about particular points or
  were there decisions where the consensus was particularly
  rough?

There was significant work group participation in discussion of the approach taken within the draft, since it introduces a different way to use the HELD protocol, which originally was designed exclusively to convey location information.  There were some controversies noted on the list, and all dialogues were efficiently attended to during the development stage.  One final objection was noted and addressed by the draft author, with no follow up provided by the commenter, despite ample opportunity/time to do so. A successful development progression is documented in the ECRIT work group minutes and in email list archives.

Document Quality

  Are there existing implementations of the protocol? Have a
  significant number of vendors indicated their plan to
  implement the specification? Are there any reviewers that
  merit special mention as having done a thorough review,
  e.g., one that resulted in important changes or a
  conclusion that the document had no substantive issues? If
  there was a MIB Doctor, Media Type or other expert review,
  what was its course (briefly)? In the case of a Media Type
  review, on what date was the request posted?

No existing implementations are known to exist.  There have been several vendors that have been involved in the development and review of the document.

Personnel

  Who is the Document Shepherd? Who is the Responsible Area
  Director?

Document shepherd is Roger Marshall.
Area Director is Alissa Cooper.

(3) Briefly describe the review of this document that was performed by
the Document Shepherd.  If this version of the document is not ready
for publication, please explain why the document is being forwarded to
the IESG.

Careful review by the document shepherd following WGLC.

(4) Does the document Shepherd have any concerns about the depth or
breadth of the reviews that have been performed?

No.

(5) Do portions of the document need review from a particular or from
broader perspective, e.g., security, operational complexity, AAA, DNS,
DHCP, XML, or internationalization? If so, describe the review that
took place.

No.

(6) Describe any specific concerns or issues that the Document Shepherd
has with this document that the Responsible Area Director and/or the
IESG should be aware of? For example, perhaps he or she is uncomfortable
with certain parts of the document, or has concerns whether there really
is a need for it. In any event, if the WG has discussed those issues and
has indicated that it still wishes to advance the document, detail those
concerns here.

None noted.

(7) Has each author confirmed that any and all appropriate IPR
disclosures required for full conformance with the provisions of BCP 78
and BCP 79 have already been filed. If not, explain why.

Each of the authors confirmed that they were not aware of any existing IPR
Relating to this draft.

(8) Has an IPR disclosure been filed that references this document?
If so, summarize any WG discussion and conclusion regarding the IPR
disclosures.

None posted.

(9) How solid is the WG consensus behind this document? Does it
represent the strong concurrence of a few individuals, with others
being silent, or does the WG as a whole understand and agree with it?

There is work group consensus to move this document forward to RFC status.

(10) Has anyone threatened an appeal or otherwise indicated extreme
discontent? If so, please summarize the areas of conflict in separate
email messages to the Responsible Area Director. (It should be in a
separate email because this questionnaire is publicly available.)

No.

(11) Identify any ID nits the Document Shepherd has found in this
document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts
Checklist). Boilerplate checks are not enough; this check needs to be
thorough.

Yes, see (15) below.

(12) Describe how the document meets any required formal review
criteria, such as the MIB Doctor, media type, and URI type reviews.

There are no MIB, media, but does seek to register a new URN sub-namespace
as 'urn:ietf:params:xml:ns:geopriv:held:ri' and new IANA registered XML
namespace.

(13) Have all references within this document been identified as
either normative or informative?

Yes.

(14) Are there normative references to documents that are not ready for
advancement or are otherwise in an unclear state? If such normative
references exist, what is the plan for their completion?

No.

(15) Are there downward normative references (see RFC 3967)?
If so, list these downward references to support the Area Director in
the Last Call procedure.

Two downref errors were reported by the Nits process (listed as Normative
References pointing to Informational RFCs).  One of the Authors, after
being contacted on the subject, reiterated his adherence to the Normative
classification for each citing, claiming that formal definition of terms
within the Informational RFCs are essential to the understanding of the
present draft.

(16) Will publication of this document change the status of any
existing RFCs? Are those RFCs listed on the title page header, listed
in the abstract, and discussed in the introduction? If the RFCs are not
listed in the Abstract and Introduction, explain why, and point to the
part of the document where the relationship of this document to the
other RFCs is discussed. If this information is not in the document,
explain why the WG considers it unnecessary.

No referenced RFCs will change in status due to publication of this document.

(17) Describe the Document Shepherd's review of the IANA considerations
section, especially with regard to its consistency with the body of the
document. Confirm that all protocol extensions that the document makes
are associated with the appropriate reservations in IANA registries.
Confirm that any referenced IANA registries have been clearly
identified. Confirm that newly created IANA registries include a
detailed specification of the initial contents for the registry, that
allocations procedures for future registrations are defined, and a
reasonable name for the new registry has been suggested (see RFC 5226).

All IANA registry requirements have been met.

(18) List any new IANA registries that require Expert Review for future
allocations. Provide any public guidance that the IESG would find
useful in selecting the IANA Experts for these new registries.

None.

(19) Describe reviews and automated checks performed by the Document
Shepherd to validate sections of the document written in a formal
language, such as XML code, BNF rules, MIB definitions, etc.

There are no BNF or MIB parts applicable. The XML examples appear to
be well formed.

CONFIDENTIALITY NOTICE: The information contained in this message may be privileged and/or confidential. If you are not the intended recipient, or responsible for delivering this message to the intended recipient, any review, forwarding, dissemination, distribution or copying of this communication or any attachment(s) is strictly prohibited. If you have received this message in error, please notify the sender immediately, and delete it and all attachments from your computer and network.

---

From: Laura Liess <[email-masked]>
Date: Thu, 29 Oct 2015 13:39:18 +0100

Thank you, Roger, for doing all this work.

Laura

2015-10-28 22:43 GMT+01:00 Roger Marshall <[email-masked]>:

> *A Routing Request Extension for the HELD Protocol*
>
> *(1) What type of RFC is being requested (BCP, Proposed Standard,*
>
> *Internet Standard, Informational, Experimental, or Historic)?  Why*
>
> *is this the proper type of RFC?  Is this type of RFC indicated in the*
>
> *title page header?*
>
>
>
> RFC type being requested for this draft is “Proposed Standard”, since
>
> emergency services.  The title page lists it currently as “Standard”.
>
>
>
>
>
> *(2) The IESG approval announcement includes a Document Announcement*
>
> *Write-Up. Please provide such a Document Announcement Write-Up. Recent*
>
> *examples can be found in the "Action" announcements for approved*
>
> *documents. The approval announcement contains the following sections:*
>
>
>
> *Technical Summary*
>
>
>
> *  Relevant content can frequently be found in the abstract *
>
> *  and/or introduction of the document. If not, this may be *
>
> *  an indication that there are deficiencies in the abstract *
>
> *  or introduction.*
>
>
>
> [Abstract]
>
>
>
> *Working Group Summary*
> *  Was there anything in WG process that is worth noting? For *
>
> *  example, was there controversy about particular points or *
>
> *  were there decisions where the consensus was particularly *
>
> *  rough?*
>
>
>
> There was significant work group participation in discussion of the
> approach taken within the draft, since it introduces a different way to use
> the HELD protocol, which originally was designed exclusively to convey
> location information.  There were some controversies noted on the list, and
> all dialogues were efficiently attended to during the development stage.
> One final objection was noted and addressed by the draft author, with no
> follow up provided by the commenter, despite ample opportunity/time to do
> so. A successful development progression is documented in the ECRIT work
> group minutes and in email list archives.
>
>
>
>
>
> *Document Quality*
>
>
>
> *  Are there existing implementations of the protocol? Have a *
>
> *  significant number of vendors indicated their plan to *
>
> *  implement the specification? Are there any reviewers that *
>
> *  merit special mention as having done a thorough review, *
>
> *  e.g., one that resulted in important changes or a *
>
> *  conclusion that the document had no substantive issues? If *
>
> *  there was a MIB Doctor, Media Type or other expert review, *
>
> *  what was its course (briefly)? In the case of a Media Type *
>
> *  review, on what date was the request posted?*
>
>
>
> No existing implementations are known to exist.  There have been several
> vendors that have been involved in the development and review of the
> document.
>
>
>
>
>
> *Personnel*
>
>
>
> *  Who is the Document Shepherd? Who is the Responsible Area*
>
> *  Director?*
>
>
>
> *(3) Briefly describe the review of this document that was performed by*
>
> *the Document Shepherd.  If this version of the document is not ready*
>
> *for publication, please explain why the document is being forwarded to*
>
> *the IESG.*
>
>
>
> *(4) Does the document Shepherd have any concerns about the depth or*
>
> *breadth of the reviews that have been performed?  *
>
>
>
> No.
>
>
>
>
>
> *(5) Do portions of the document need review from a particular or from*
>
> *broader perspective, e.g., security, operational complexity, AAA, DNS,*
>
> *DHCP, XML, or internationalization? If so, describe the review that*
>
> *took place.*
>
>
>
> No.
>
>
>
>
>
> *(6) Describe any specific concerns or issues that the Document Shepherd*
>
> *has with this document that the Responsible Area Director and/or the*
>
> *IESG should be aware of? For example, perhaps he or she is uncomfortable*
>
> *with certain parts of the document, or has concerns whether there really*
>
> *is a need for it. In any event, if the WG has discussed those issues and*
>
> *has indicated that it still wishes to advance the document, detail those*
>
> *concerns here.*
>
>
>
> None noted.
>
>
>
>
>
> *(7) Has each author confirmed that any and all appropriate IPR*
>
> *disclosures required for full conformance with the provisions of BCP 78*
>
> *and BCP 79 have already been filed. If not, explain why.*
>
>
>
> *(8) Has an IPR disclosure been filed that references this document?*
>
> *If so, summarize any WG discussion and conclusion regarding the IPR*
>
> *disclosures.*
>
>
>
> None posted.
>
>
>
>
>
> *(9) How solid is the WG consensus behind this document? Does it *
>
> *represent the strong concurrence of a few individuals, with others*
>
> *being silent, or does the WG as a whole understand and agree with it?   *
>
>
>
> *(10) Has anyone threatened an appeal or otherwise indicated extreme *
>
> *discontent? If so, please summarize the areas of conflict in separate*
>
> *email messages to the Responsible Area Director. (It should be in a*
>
> *separate email because this questionnaire is publicly available.) *
>
>
>
> No.
>
>
>
>
>
> *(11) Identify any ID nits the Document Shepherd has found in this*
>
> *document. (See http://www.ietf.org/tools/idnits/
> <http://www.ietf.org/tools/idnits/>** and the Internet-Drafts*
>
> *Checklist). Boilerplate checks are not enough; this check needs to be*
>
> *thorough.*
>
>
>
> Yes, see (15) below.
>
>
>
>
>
> *(12) Describe how the document meets any required formal review*
>
> *criteria, such as the MIB Doctor, media type, and URI type reviews.*
>
>
>
> *(13) Have all references within this document been identified as*
>
> *either normative or informative?*
>
>
>
> Yes.
>
>
>
>
>
> *(14) Are there normative references to documents that are not ready for*
>
> *advancement or are otherwise in an unclear state? If such normative*
>
> *references exist, what is the plan for their completion?*
>
>
>
> No.
>
>
>
>
>
> *(15) Are there downward normative references (see RFC 3967)?*
>
> *If so, list these downward references to support the Area Director in *
>
> *the Last Call procedure. *
>
>
>
> *(16) Will publication of this document change the status of any*
>
> *existing RFCs? Are those RFCs listed on the title page header, listed*
>
> *in the abstract, and discussed in the introduction? If the RFCs are not*
>
> *listed in the Abstract and Introduction, explain why, and point to the*
>
> *part of the document where the relationship of this document to the*
>
> *other RFCs is discussed. If this information is not in the document,*
>
> *explain why the WG considers it unnecessary.*
>
>
>
> *(17) Describe the Document Shepherd's review of the IANA considerations*
>
> *section, especially with regard to its consistency with the body of the*
>
> *document. Confirm that all protocol extensions that the document makes*
>
> *are associated with the appropriate reservations in IANA registries.*
>
> *Confirm that any referenced IANA registries have been clearly*
>
> *identified. Confirm that newly created IANA registries include a*
>
> *detailed specification of the initial contents for the registry, that*
>
> *allocations procedures for future registrations are defined, and a*
>
> *reasonable name for the new registry has been suggested (see RFC 5226).*
>
>
>
> *(18) List any new IANA registries that require Expert Review for future*
>
> *allocations. Provide any public guidance that the IESG would find*
>
> *useful in selecting the IANA Experts for these new registries.*
>
>
>
> None.
>
>
>
>
>
> *(19) Describe reviews and automated checks performed by the Document*
>
> *Shepherd to validate sections of the document written in a formal*
>
> *language, such as XML code, BNF rules, MIB definitions, etc.*
>
>
>
> CONFIDENTIALITY NOTICE: The information contained in this message may be
> privileged and/or confidential. If you are not the intended recipient, or
> responsible for delivering this message to the intended recipient, any
> review, forwarding, dissemination, distribution or copying of this
> communication or any attachment(s) is strictly prohibited. If you have
> received this message in error, please notify the sender immediately, and
> delete it and all attachments from your computer and network.
>
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ecrit
>
>